Bug 1806992 - Rebase tigervnc to 1.10.1
Summary: Rebase tigervnc to 1.10.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: tigervnc
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.3
Assignee: Jan Grulich
QA Contact: Desktop QE
Lucie Maňásková
URL:
Whiteboard:
Depends On: 1818716
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-25 12:20 UTC by Jan Grulich
Modified: 2020-11-09 04:07 UTC (History)
6 users (show)

Fixed In Version: tigervnc-1.10.1-1.el8
Doc Type: Enhancement
Doc Text:
.tigervnc has been rebased to version 1.10.1 The `tigervnc` suite has been rebased to version 1.10.1. The update contains number of fixes and improvements. Most notably: * tigervnc now only supports starting of the virtual network computing (VNC) server using the `systemd` service manager. * The clipboard now supports full Unicode in the native viewer, `WinVNC` and Xvnc/libvnc.so. * The native client will now respect the system trust store when verifying server certificates. * The Java web server has been removed. * `x0vncserver` can now be configured to only allow local connections. * `x0vncserver` has received fixes for when only part of the display is shared. * Polling is now default in `WinVNC`. * Compatibility with VMware's VNC server has been improved. * Compatibility with some input methods on macOS has been improved. * Automatic "repair" of JPEG artefacts has been improved.
Clone Of:
Environment:
Last Closed: 2020-11-04 03:00:07 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Grulich 2020-02-25 12:20:35 UTC
Request to rebase Tigervnc to 1.10.1. The new version was released more than a year after the version we have now in RHEL 8 so I expect lots of improvements and fixes. Major changes in this release are security fixes and some new features like:

* The clipboard now supports full Unicode in the native viewer, WinVNC and Xvnc/libvnc.so
* The native client will now respect the system trust store when verifying server certificates
* Improved compatibility with VMware's VNC server
* Improved compatibility with some input methods on macOS
* Improvements to the automatic "repair" of JPEG artefacts
* Better handling of the Alt keys in some corner cases
* The Java web server has been removed as applets are no longer support by most browsers
* x0vncserver can now be configured to only allow local connections
* x0vncserver has received fixes for when only part of the display is shared
* Polling is now default in WinVNC as that works better for most

It's also much easier to deal with issues when we are as close as possible to upstream and Fedora.

Comment 2 Jan Grulich 2020-05-07 12:14:38 UTC
There is no completely different way how to start tigervnc server. Here are the steps you have to follow in order to run a vnc server:

1) You need to load SELinux policy, you can do that with following commands:
$ sudo semodule -i /usr/share/selinux/packages/vncsession.pp
$ sudo restorecon /usr/sbin/vncsession /usr/libexec/vncsession-start

2) You don't need to do any changes to the vncserver service file, it will be
used as it is. You just need to modify /etc/tigervnc/vncserver.users, where
you can configure which display number will be used for which user. For
example if you use:

:2=jgrulich

then starting vncserver@:2 will start for user named "jgrulich". If you open
that file you will see examples there so it should be pretty straightforward.

3)  To configure Xvnc parameters, you can modify /etc/tigervnc/vncserver-
config-defaults. These will be used to override builtin default options and
starting point for per-user configuration stored in ~/.vnc/config. You can
then modify ~/,vnc/config for each user to use whatever option you want to use
for a specific user. Using /etc/tigervnc/vncserver-config-mandatory you can
override default configuration and also the configuration which is configured
in user directories. This can be used probably by administrators forcing
certain configuration.

4) Tigervnc now also uses desktop files located in /usr/share/xsessions to
start particular desktop. If you want to use for example GNOME, then you have
to put "session=gnome" into one of the configuration files mentioned above.
The value should match desktop file name.

5) Now you can start a session using:
$ sudo systemctl start vncserver@:2

6) Connect from vncviewer \o/.

Additional notes:

1) You cannot start a service for a user who is currently logged in
(graphically)

2) Make sure you remove old service files which previously had to be copied to
/etc/systemd/system as these will be loaded first and it will obviously fail.
The new service file is in /usr/lib/systemd/system.

Comment 8 Bill Sanford 2020-05-29 15:06:45 UTC
I just created this doc https://docs.engineering.redhat.com/display/DESKTOPQE/VNCServer+using+systemctl and with Jan's input, this should verify that it is rebased and works.

Comment 14 errata-xmlrpc 2020-11-04 03:00:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (tigervnc bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4683


Note You need to log in before you can comment on or make changes to this bug.